cd "H:\Crisis Bargaining Experiment\AQRE"

insheet using "aqre.csv", clear comma
rename pe ProbE
rename qr ProbR
rename rf ProbF
label var ProbE "Probability of Entry"
label var ProbR "Probability of Resist"
label var ProbF "Probability of Fight"
label var mu "Private Value"
gen HighCost=1 if b1<-.2
gen LowCost=1 if b1>-.2
keep if mu>=-3 
keep if mu<0
tostring  lambda, gen(lambdanew) force
replace lambdanew=substr(lambdanew,1,3)
label var lambdanew "lambda"
destring  lambdanew, replace
keep if (lambdanew==.1|lambdanew==2|lambdanew==5|lambdanew==10)
sort b1 lambda

*Figures 1-3
foreach var of varlist ProbE ProbR ProbF {
local label "msymbol(+ O) msize(tiny tiny) legend(label(1 "High Cost") label(2 "Low Cost"))"
twoway (scatter `var' mu if b1<-.2, msize(small)  by(lambdanew, title(`var', size(medium)))) (scatter `var' mu if b1>-.2, `label' by(lambdanew))
graph save "`var'_Lambda.gph", replace
graph export "`var'_Lambda.png",  replace 
}



*FIGURE 4
insheet using "aqre_new_estimated.csv", clear comma

rename pe ProbE
rename qr ProbR
rename rf ProbF
label var ProbE "Probability of Entry"
label var ProbR "Probability of Resist"
label var ProbF "Probability of Fight"

label var mu "Private Value"

gen Cost=0 if lambda<3
replace Cost=1 if lambda>3


foreach var of varlist ProbE ProbR ProbF {
local label "msymbol(x s) legend(lab(1 "High Cost") lab(2 "Low Cost"))"
twoway (scatter `var'  mu if Cost==1, msymbol(oh)) (scatter `var'  mu if Cost==0, `label')
graph save "`var'_estimated.gph", replace
}
graph combine "ProbE_estimated.gph" "ProbR_estimated.gph" "ProbF_estimated.gph", note(lambda=2.935 in Low Cost and 5.052 in High Cost) imargin(tiny) col(2) xcomm